## netdiag 0.3

=== strobe/Makefile ===
# Strobe v0.92 (c) 1994,1995 Julian Assange, All rights reserved.
# (proff@suburbia.apana.org.au || proff@four.net || proff@gnu.ai.mit.edu)

# Linux modifications: A. Schiffler, andreas@karlsberg.usask.ca

INSTALLDIR=/usr/bin
LIBDIR=/usr/lib
MANDIR=/usr/man/man1

CC=gcc
FLAGS=-O
ETC_SERVICES=/etc/services

# Don't change anything from this point on.

OBJS=strobe.o
BIN=strobe
MAN=strobe.1
DATA=strobe.services
EXTRA=Makefile INSTALL VERSION

DEFS=-DLIB_STROBE_SERVICES='"$(LIBDIR)/$(DATA)"'\
     -DSTROBE_SERVICES='"$(DATA)"'\
     -DETC_SERVICES='"$(ETC_SERVICES)"'

CFLAGS=$(FLAGS) $(DEFS)

$(BIN): $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(LIBS)
$(OBJS):
$(DATA):
$(MAN):
$(INSTALLDIR)/$(BIN): $(BIN)
	-rm -f $(INSTALLDIR)/$(BIN)
	install -m 755 -s $(BIN) $(INSTALLDIR)/$(BIN)
$(LIBDIR)/$(DATA): $(DATA)
	-rm -f $(LIBDIR)/$(DATA)
	install -m 644 $(DATA) $(LIBDIR)/$(DATA)
$(MANDIR)/$(MAN): $(MAN)
	-rm -f $(MANDIR)/$(MAN)
	install -m 644 $(MAN) $(MANDIR)/$(MAN)
install: $(INSTALLDIR)/$(BIN) $(LIBDIR)/$(DATA) $(MANDIR)/$(MAN)
tar:
	(cd .. ; tar -zcf strobe.tgz strobe)
shar:
	shar > strobe.shar *.c *.1 $(EXTRA) $(DATA)
clean:
	rm -f $(BIN) *.o *.bak *.\~ errlist *.shar *.tgz

## netdiag 0.4

=== netwatch/Makefile ===
EXEC= netwatch
CC=gcc
#  You might need to say where the ncurses include files are.
CFLAGS=-O2 -I/usr/include/ncurses
# CFLAGS=
DEFS= curs.h netwatch.h
OBJECTS= curs.o dispdata.o services.o netwatch.o processinetrc.o
LIBS= -lncurses
INSTALLDIR=/usr/local/bin

all:	$(EXEC)

netwatch:	$(OBJECTS) $(DEFS)
	$(CC) -o $(EXEC) $(CFLAGS) $(OBJECTS) $(LIBS)

install:	$(EXEC)
	chown root.root $(EXEC)
	chmod a+rx $(EXEC)
	chmod a-w  $(EXEC)
	chmod u+s  $(EXEC)
	mv $(EXEC) $(INSTALLDIR)/$(EXEC)

tar:
	tar -C .. -czf ../netwatch0.5.src.tar.gz netwatch

clean:
	rm -f *.o $(EXEC) 

curs.o:		curs.c curs.h
dispdata.o:	dispdata.c curs.h netwatch.h
services.o:	services.c netwatch.h
netwatch.o: 	netwatch.c netwatch.h curs.h
processinetrc.o:	processinetrc.c

=== trafshow-1.0/Makefile ===
#	Makefile for trafshow program.

DEFS	=

ARCH    = # -bi486-linuxaout  

CC	= gcc
# LD	= ld # Not used
CFLAGS  = -O6  -Wall
LDFLAGS = # -s
LIBS	= -lncurses

ifdef PROF
CFLAGS  = -O6 -pg -Wall
LDFLAGS = -pg
LIBS	= -lncurses -lgcc -lc -lgmon -lgcc
endif

ifdef DEBUG
CFLAGS  = -O6 -fomit-frame-pointer -Wall -g
LDFLAGS = -g
DEFS	= -DDEBUG
endif

PROGS	= trafshow
INCS	= trafshow.h
SRCS 	= trafshow.c csum.c host.c table.c screen.c
OBJS    = trafshow.o csum.o host.o table.o screen.o
DIST    = Makefile $(SRCS) $(INCS)

all:	$(PROGS)

.c.o:   
	$(CC) $(ARCH) $(CFLAGS) $(DEFS) -c $<
	
trafshow: $(OBJS)
	$(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(LIBS)

tar:	$(DIST)
	tar -cvf - $^ | gzip -9c > packet.tar.gz

co:
	co -l $(DIST)

ci:
	ci $(DIST)

install: all
	install -o root -g root -s -m 4711 trafshow /usr/local/bin

dep depend : $(SRCS) $(INCS) 
	gcc -M $(SRCS) > .depend

clean:
	rm -f $(PROGS) *.o *~ gmon.out

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## netdiag 0.6

=== netwatch/Makefile ===
EXEC= netwatch netresolv
CC=gcc
#  You might need to say where the ncurses include files are.
#CFLAGS=-O2 -I/usr/include/ncurses
# -O2 flag caused some performance problems... unclear right now why..
CFLAGS=-I/usr/include/ncurses
# Comment out the following line if you have a requirement for "ncurses.h"
#OLDLINUX=-DOLDLINUX
OLDLINUX=
# CFLAGS=
DEFS= curs.h netwatch.h
OBJECTS= curs.o dispdata.o services.o netwatch.o processinetrc.o gh.o
LIBS= -lncurses
INSTALLDIR=/usr/local/bin

all:	$(EXEC)

netresolv:	netresolv.o netresolv.h
	$(CC) -o netresolv $(CFLAGS) netresolv.o 

netwatch:	$(OBJECTS) $(DEFS)
	$(CC) -o netwatch $(CFLAGS) $(OBJECTS) $(LIBS)

install:	$(EXEC)
	chown root.root $(EXEC)
	chmod 700 $(EXEC)
	mv netwatch $(INSTALLDIR)/netwatch
	mv netresolv $(INSTALLDIR)/netresolv

tar:
	tar -C .. -czf ../netwatch0.7a.src.tar.gz netwatch

clean:
	rm -f *.o $(EXEC) 

.c.o:
	$(CC) -c $(OLDLINUX) $<

curs.o:		curs.c curs.h
dispdata.o:	dispdata.c curs.h netwatch.h
services.o:	services.c netwatch.h
netwatch.o: 	netwatch.c netwatch.h curs.h
processinetrc.o:	processinetrc.c
gh.o:		gh.c
netresolv.o:	netresolv.c netresolv.h

=== statnet/Makefile ===
EXEC= statnet

#  You might need to say where the ncurses include files are.
CFLAGS=-I/usr/include/ncurses
# CFLAGS=
DEFS= curs.h stat.h
OBJECTS= curs.o if_getstats.o itstime.o set_null.o services.o stat.o
LIBS= -lncurses
INSTALLDIR=/usr/local/bin

all:	$(EXEC)

statnet:	$(OBJECTS) $(DEFS)
		$(CC) -o $(EXEC) $(CFLAGS) $(OBJECTS) $(LIBS)

install:	$(EXEC) $(INSTALLDIR)/$(EXEC)
	chown root.root $(EXEC)
	chmod a+rx $(EXEC)
	chmod a-w  $(EXEC)
	chmod u+s  $(EXEC)
	mv $(EXEC) $(INSTALLDIR)/$(EXEC)

shar:
	shar README CHANGES INSTALL Makefile *.h *.c *.lsm >statnet.shar

tar:
	tar cvf statnet2.1.tar README CHANGES INSTALL Makefile *.h *.c *.lsm
	gzip -v statnet2.1.tar

clean:
	rm -f *.o $(EXEC) statnet.shar statnet.tar statnet.tar.gz

curs.o:		curs.c curs.h
if_getstats.o:	if_getstats.c
itstime.o:	itstime.c curs.h stat.h
services.o:	services.c stat.h
set_null.o:	set_null.c stat.h
stat.o: 	stat.c stat.h curs.h

## netdiag 0.7

=== netload-0.92/Makefile ===
CC=		gcc
CLIBS=		-lncurses
TARGET=		"/usr/bin/"	

all :
	$(CC) netload.c -o netload $(CLIBS)

install:
	install -m 755 netload $(TARGET) 
clean:
	rm -f ./netload

=== statnet/Makefile ===
SNVERSION= 3.5
UPDATED= 16DEC98

#  You might need to say where the ncurses or curses include files are.
CFLAGS=-I/usr/include/ncurses -g
# CFLAGS=
CC=gcc
EXEC= statnet
EXECD= statnetd
OBJECTS= curs.o getservent.o set_null.o services.o \
    stat_delta.o stat_ntoh.c tally_delta.o tally_label.o \
    tally_ntoh.c win_show_stat.o
OBJECTSD= getservent.o itstime.o set_null.o services.o \
    tally_init.o tally.o
DOCS= README statnet.lsm statnet.1
LIBS= -lncurses
INSTALLDIR=/usr/local/bin
CFLAGS+= -DSNVERSION=$(SNVERSION)

all:	$(EXEC) $(EXECD) $(DOCS)

statnet:	statnet.o $(OBJECTS) Makefile
		$(CC) -o $(EXEC) $(CFLAGS) statnet.o $(OBJECTS) $(LIBS)

statnetd:	statnetd.o $(OBJECTSD) Makefile
		$(CC) -o $(EXECD) $(CFLAGS) statnetd.o $(OBJECTSD) $(LIBS)

install:	$(EXEC) $(EXECD)
	chmod a-w  $(EXEC) $(EXECD)
	chmod a+rx $(EXEC) $(EXECD)
	chown root.root $(EXEC) $(EXECD)
	mv $(EXEC) $(INSTALLDIR)/$(EXEC)
	mv $(EXECD) $(INSTALLDIR)/$(EXECD)

README:	Makefile README.proto
	m4 --prefix-builtins -D__SNVERSION__=$(SNVERSION) -D__UPDATED__=$(UPDATED) README.proto > README

statnet.lsm:	Makefile statnet.lsm.proto $(subst VV,$(SNVERSION),statnet-VV.tgz)
	-rm -f statnet.lsm
	m4 --prefix-builtins \
		-D__SNVERSION__=$(SNVERSION) \
		-D__UPDATED__=$(UPDATED) \
		-D__TARSIZE__=$(firstword $(shell du -s statnet-*[0-9].tgz) ) \
		statnet.lsm.proto > statnet.lsm

statnet.1:	Makefile statnet.1.proto
	m4 --prefix-builtins -D__SNVERSION__=$(SNVERSION) -D__UPDATED__=$(UPDATED) statnet.1.proto > statnet.1

shar:
	shar README CHANGES INSTALL Makefile services *.h *.c *.lsm *.proto >statnet.shar

tar: $(subst VV,$(SNVERSION),statnet-VV.tgz)

$(subst VV,$(SNVERSION),statnet-VV.tgz): $(EXEC) $(EXECD) README statnet.1
	-rm -f statnet*tar.gz statnet*.tgz
	-tar cvzf $(subst VV,$(SNVERSION),statnet-VV.tgz) $(EXEC) $(EXECD) README CHANGES INSTALL Makefile services *.h *.c *.lsm *.proto
	-tar cvzf $(subst VV,$(SNVERSION),statnet-VV_src.tgz) README CHANGES INSTALL Makefile services *.h *.c *.lsm *.proto

clean:
	-rm -f *.o $(EXEC) $(EXECD) statnet.shar statnet*.tgz

.PHONY:	all install shar tar clean

curs.o:		Makefile curs.c curs.h
getservent.o:   Makefile getservent.c inetprivate.h
itstime.o:	Makefile itstime.c stat.h
services.o:	Makefile services.c stat.h
set_null.o:	Makefile set_null.c stat.h
stat_delta.o:	Makefile stat_delta.c stat.h
statnet.o:	Makefile statnet.c curs.h stat.h
statnetd.o: 	Makefile statnetd.c stat.h
tally.o:	Makefile tally.c stat.h
tally_delta.o:	Makefile tally_delta.c stat.h
tally_init.o:	Makefile tally_init.c stat.h
tally_label.o:	Makefile tally_label.c stat.h
win_show_stat.o: 	Makefile win_show_stat.c curs.h stat.h

=== strobe/Makefile ===
# Strobe (c) 1995-1997 Julian Assange, All rights reserved.
# proff@iq.org || proff@gnu.ai.mit.edu

# Modify the below to suit your filesystem

INSTALLDIR=/usr/local/bin
LIBDIR=/usr/local/lib
MANDIR=/usr/local/man/man1

#CC=cc
CC=gcc

#FLAGS=-O -nointl		# SCO
FLAGS= -O -g -Wall

#LIBS= -lnsl -lsocket		# SYSVR4 / SOLARIS
#LIBS= -lsocket -lmalloc -lc_s	# SCO
LIBS=

ETC_SERVICES=/etc/services

# Don't change anything from this point on.

OBJS=strobe.o
BIN=strobe
MAN=strobe.1
DATA=strobe.services
EXTRA=Makefile INSTALL VERSION HISTORY COPYRIGHT POST strobe.man

DEFS=-DLIB_STROBE_SERVICES='"$(LIBDIR)/$(DATA)"'\
     -DSTROBE_SERVICES='"$(DATA)"'\
     -DETC_SERVICES='"$(ETC_SERVICES)"'

CFLAGS=$(FLAGS) $(DEFS)

$(BIN): $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(LIBS)
$(OBJS):
$(DATA):
$(MAN):
$(INSTALLDIR)/$(BIN): $(BIN)
	-rm -f $(INSTALLDIR)/$(BIN)
	install -m 755 -s $(BIN) $(INSTALLDIR)/$(BIN)
$(LIBDIR)/$(DATA): $(DATA)
	-rm -f $(LIBDIR)/$(DATA)
	install -m 644 $(DATA) $(LIBDIR)/$(DATA)
$(MANDIR)/$(MAN): $(MAN)
	-rm -f $(MANDIR)/$(MAN)
	install -m 644 $(MAN) $(MANDIR)/$(MAN)
install: $(INSTALLDIR)/$(BIN) $(LIBDIR)/$(DATA) $(MANDIR)/$(MAN)
strobe.man : $(MAN)
	 nroff -man -Tascii $(MAN) > strobe.man
tar:
	(cd .. ; tar -zcf strobe.tgz strobe)
shar:
	shar -L 50 -o strobe.shar *.c *.1 $(EXTRA) $(DATA)
clean:
	rm -f $(BIN) *.o *.bak *.\~ errlist *.shar.* *.tgz *.swp core

=== tcpblast/Makefile ===
CC=gcc
RELEASE=19990504

all:
	@echo choose system:
	@echo generic, linux, solaris, sunos, osf1

solaris: tcpblast.c version.h
	make -C getopt
	$(CC) -Igetopt -o tcpblast tcpblast.c $(GOBJECTS) -lsocket -lnsl -lintl

sunos:	tcpblast.c version.h
	make -C getopt
	$(CC) -Igetopt -D__sunos__ -o tcpblast tcpblast.c $(GOBJECTS) -lnsl

linux:	generic

# not quite sure
osf1:	tcpblast.c version.h
	make -C getopt
	$(CC) -Igetopt -D__osf1__ -o tcpblast tcpblast.c $(GOBJECTS) -lnsl

generic:	tcpblast

tcpblast:	tcpblast.c version.h
	$(CC) -o tcpblast tcpblast.c

install: tcpblast
	-mv /usr/local/bin/tcpblast /usr/local/bin/tcpblast.old
	cp -p tcpblast /usr/local/bin
	strip /usr/local/bin/tcpblast
	cd /usr/local/bin; rm udpblast; ln -s tcpblast udpblast

version.h: tcpblast.c Makefile
	echo \"$(RELEASE)\" > version.h

clean:
	make -C getopt clean
	-rm core

purge:	clean
	-rm tcpblast

tar:	dist

dist: 	purge version.h
	@echo Creating tcpblast-$(RELEASE) in ..
	@tar -cvz -f ../tcpblast-$(RELEASE).tar.gz -C .. tcpblast-$(RELEASE)

=== trafshow-1.3/Makefile ===
#	Makefile for trafshow program.

DEFS	= 
DEBUG   = 

ARCH    = #-bi486-linuxaout  

CC	= gcc
# LD	= ld # Not used
CFLAGS  = -O6  -Wall -I/usr/include/ncurses
LDFLAGS = # -s
LIBS	= -lncurses

ifdef PROF
CFLAGS  = -O6 -pg -Wall
LDFLAGS = -pg
LIBS	= -lncurses_p#  -lgcc -lc -lgmon -lgcc
endif

ifdef DEBUG
CFLAGS  = -O6 -fomit-frame-pointer -Wall -g
LDFLAGS = -g
DEFS	= #-DDEBUG
endif

PROGS	= trafshow
INCS	= trafshow.h
SRCS 	= trafshow.c csum.c host.c table.c screen.c frag.c
OBJS    = trafshow.o csum.o host.o table.o screen.o frag.o
DOCS    = COPYING TODO trafshow.lsm trafshow.1
DIST    = Makefile $(SRCS) $(INCS) $(DOCS)

all:	.depend $(PROGS)

.c.o:   
	$(CC) $(ARCH) $(CFLAGS) $(DEFS) -c $<

trafshow: $(OBJS)
	$(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(LIBS)

tar:	$(DIST)
	tar -cvf - $^ | gzip -9c > trafshow-1.3.tgz

co:
	co -l $(DIST)

ci:
	ci $(DIST)

install: all
	install -o root -g root -s -m 4711 trafshow /usr/local/bin
	install -o root -g root trafshow.1 /usr/local/man/man1

dep depend .depend: $(SRCS) $(INCS) 
	gcc -M $(SRCS) > .depend

clean:
	rm -f $(PROGS) *.o *~ gmon.out

realclean:
	rm -f $(PROGS) *.o *~ gmon.out .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== tcpblast/getopt/Makefile ===
CC=gcc
INCLUDE=-I.
CCFLAGS=-D_LIBC
GSRC=getopt.c getopt1.c
GOBJECTS=getopt.o getopt1.o

all:	getopt.h $(GSRC)
	$(CC) $(INCLUDE) $(CCFLAGS) -c $(GSRC)

clean:
	-rm *.o

## netdiag 0.9

=== netload-1.2.1/Makefile ===
CC=		gcc 
CLIBS=		-lncurses
TARGET=		"/usr/local/bin/"	

all :
	$(CC) netload.c -o netload $(CLIBS)

install:
	install -m 755 netload $(TARGET) 
	install -m 755 checkint $(TARGET) 
clean:
	rm -f ./netload

## netdiag 1.1

=== Makefile ===
#	$Id: Makefile,v 1.3 1995/04/12 00:48:01 jtc Exp $

PROG =	rpc.sprayd
SRCS =	sprayd.c
MAN =	rpc.sprayd.8
MLINKS=	rpc.sprayd.8 sprayd.8

DPADD=	${LIBRPCSVC}
LDADD=	-lrpcsvc -lutil

.include <bsd.prog.mk>

=== netwatch-1.0c/Makefile ===
# Generated automatically from Makefile.in by configure.
include ./Make.common
EXEC= netwatch netresolv
#  You might need to say where the ncurses include files are.
#CFLAGS=-O2 -I/usr/include/ncurses
# -O2 flag caused some performance problems... unclear right now why..
#CFLAGS=-I/usr/include/ncurses
#CFLAGS=-O2
# Comment out the following line if you have a requirement for "ncurses.h"
#OLDLINUX=-DOLDLINUX
#OLDLINUX=
# CFLAGS=
DEFS= curs.h netwatch.h
OBJECTS= curs.o dispdata.o services.o netwatch.o processinetrc.o gh.o warning.o
INSTALLDIR=/usr/bin

all:	$(EXEC)

netresolv:	netresolv.o netresolv.h
	$(CC) -o netresolv $(XCFLAGS) netresolv.o 

netwatch:	$(OBJECTS) $(DEFS)
	$(CC) -o netwatch $(XCFLAGS) $(OBJECTS) $(XLIBS)

install:	$(EXEC)
	chown root.root $(EXEC)
	chmod 700 $(EXEC)
	cp netwatch $(INSTALLDIR)/netwatch
	cp netresolv $(INSTALLDIR)/netresolv
	cp netwatch.1 /usr/man/man1

tar:
	tar -C .. -czf ../netwatch-1.0c.src.tgz netwatch-1.0c

clean:
	rm -f *~ *.o $(EXEC) config.h config.cache config.log config.status 

.c.o:
	$(CC) $(XCFLAGS) -c $(OLDLINUX) $<

curs.o:		curs.c curs.h config.h
dispdata.o:	dispdata.c curs.h netwatch.h config.h
services.o:	services.c netwatch.h
	$(CC) -g -c services.c
netwatch.o: 	netwatch.c netwatch.h curs.h config.h
processinetrc.o:	processinetrc.c
gh.o:		gh.c config.h
netresolv.o:	netresolv.c netresolv.h config.h
warning.o:	warning.c netwatch.h

## netdiag 1.2

=== Makefile ===
# Makefile 2.1 91/08/06

DISTFILES = *.1 Makefile *.c

all: tcpblast tcpping

tcpblast:	tcpblast.c
	cc -O tcpblast.c -o tcpblast

tcpping:	tcpblast	
	ln -s tcpblast tcpping

dist:  $(DISTFILES)
	packmail -odist -s100000 -t"Tcpblast" $(DISTFILES)

clean:
	rm -f tcpblast tcpping *.o tmp a.out dist ,*

=== netload-1.2.2/Makefile ===
CC=		gcc 
CLIBS=		-lncurses
TARGET=		"/usr/local/bin/"	
MANTARGET=	"/usr/share/man/man1"
all :
	$(CC) netload.c -o netload $(CLIBS)

install:
	install -m 755 netload $(TARGET) 
	install -m 755 checkint $(TARGET) 
	install -m 644 netload.1 $(MANTARGET) 
clean:
	rm -f ./netload

=== statnet-3.8/Makefile ===
SNVERSION= 3.8
UPDATED= 21DEC2002

#  You might need to say where the ncurses or curses include files are.
CFLAGS=-I/usr/include/ncurses -g
# CFLAGS=
CC=gcc
EXEC= statnet
EXECD= statnetd
OBJECTS= curs.o getservent.o set_null.o services.o \
    stat_delta.o stat_ntoh.c tally_delta.o tally_label.o \
    tally_ntoh.c win_show_stat.o
OBJECTSD= getservent.o itstime.o set_null.o services.o \
    tally_init.o tally.o
DOCS= README statnet.lsm statnet.1
LIBS= -lncurses
INSTALLDIR=/usr/sbin
CFLAGS+= -DSNVERSION=$(SNVERSION)

all:	$(EXEC) $(EXECD) $(DOCS)

statnet:	statnet.o $(OBJECTS) Makefile
		$(CC) -o $(EXEC) $(CFLAGS) statnet.o $(OBJECTS) $(LIBS)

statnetd:	statnetd.o $(OBJECTSD) Makefile
		$(CC) -o $(EXECD) $(CFLAGS) statnetd.o $(OBJECTSD) $(LIBS)

install:	$(EXEC) $(EXECD)
	chmod a-w  $(EXEC) $(EXECD)
	chmod a+rx $(EXEC) $(EXECD)
	chown root.root $(EXEC) $(EXECD)
	mv $(EXEC) $(INSTALLDIR)/$(EXEC)
	mv $(EXECD) $(INSTALLDIR)/$(EXECD)

README:	Makefile README.proto
	m4 --prefix-builtins -D__SNVERSION__=$(SNVERSION) -D__UPDATED__=$(UPDATED) README.proto > README

statnet.lsm:	Makefile statnet.lsm.proto $(subst VV,$(SNVERSION),statnet-VV.tgz)
	-rm -f statnet.lsm
	m4 --prefix-builtins \
		-D__SNVERSION__=$(SNVERSION) \
		-D__UPDATED__=$(UPDATED) \
		-D__TARSIZE__=$(firstword $(shell du -s statnet-*[0-9].tgz) ) \
		statnet.lsm.proto > statnet.lsm

statnet.1:	Makefile statnet.1.proto
	m4 --prefix-builtins -D__SNVERSION__=$(SNVERSION) -D__UPDATED__=$(UPDATED) statnet.1.proto > statnet.1

shar:
	shar README CHANGES INSTALL Makefile services *.h *.c *.lsm *.proto >statnet.shar

tar: $(subst VV,$(SNVERSION),statnet-VV.tgz)

$(subst VV,$(SNVERSION),statnet-VV.tgz): $(EXEC) $(EXECD) README statnet.1
	-rm -f statnet*tar.gz statnet*.tgz
	-tar cvzf $(subst VV,$(SNVERSION),statnet-VV.tgz) $(EXEC) $(EXECD) README CHANGES INSTALL Makefile services *.h *.c *.lsm *.proto
	-tar cvzf $(subst VV,$(SNVERSION),statnet-VV_src.tgz) README CHANGES INSTALL Makefile services *.h *.c *.lsm *.proto

clean:
	-rm -f *.o $(EXEC) $(EXECD) statnet.shar statnet*.tgz

.PHONY:	all install shar tar clean

curs.o:		Makefile curs.c curs.h
getservent.o:   Makefile getservent.c inetprivate.h
itstime.o:	Makefile itstime.c stat.h
services.o:	Makefile services.c stat.h
set_null.o:	Makefile set_null.c stat.h
stat_delta.o:	Makefile stat_delta.c stat.h
statnet.o:	Makefile statnet.c curs.h stat.h
statnetd.o: 	Makefile statnetd.c stat.h
tally.o:	Makefile tally.c stat.h
tally_delta.o:	Makefile tally_delta.c stat.h
tally_init.o:	Makefile tally_init.c stat.h
tally_label.o:	Makefile tally_label.c stat.h
win_show_stat.o: 	Makefile win_show_stat.c curs.h stat.h

rpm: rpm.spec $(DOCS) $(subst VV,$(SNVERSION),statnet-VV.tgz)

rpm.spec:	Makefile rpm.spec.proto
	m4 --prefix-builtins -D__SNVERSION__=$(SNVERSION) -D__UPDATED__=$(UPDATED) rpm.spec.proto > rpm.spec

=== tcpspray/Makefile ===
CFLAGS= -O2 -s -Dsun
BINDIR= /usr/local/etc
INSTALL= install -c
CC= gcc

all: tcpspray

tcpspray:	tcpspray.c
	${CC} ${CFLAGS} tcpspray.c -o tcpspray

install: tcpspray
	${INSTALL} tcpspray ${BINDIR}
clean:
	rm -f tcpspray *.o *~ #* core


saber:
	#setopt load_flags $(CFLAGS)
	#load tcpspray.c

=== debian/changelog ===
netdiag (1.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Tille ]
  * Fix configuration and build using gcc-14
    Closes: #1075311
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Pre-Depends: ${misc:Pre-Depends}

  [ Remus-Gabriel Chelu ]
  * Romanian debconf templates translation
    Closes: #1033083

 -- Andreas Tille <tille@debian.org>  Thu, 01 Jan 2026 18:25:50 +0100

netdiag (1.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1054902)
    + Drop generic quilt description in d/README.source

  [ Zixing Liu ]
  * Add multiple missing headers and function prototypes. (Closes: #1066694)

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 19:19:14 +0000

netdiag (1.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use fixed format strings in mvprintw calls. (Closes: #997174)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 16 Oct 2022 15:28:17 +0200

netdiag (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add FTBFS fixes from Logan Rosen:
    - Fix FTBFS with GCC 10.
    - Rename pcap_init() to traf_pcap_init() to avoid conflict with libpcap.
    (Closes: #957596)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 00:40:50 +0200

netdiag (1.2-1) unstable; urgency=medium

  * New upstream version for netwatch. (Closes: #804791)

 -- Michael Meskes <meskes@debian.org>  Fri, 09 Feb 2018 13:35:25 +0100

netdiag (1.1-4) unstable; urgency=medium

  * Patch by Helmut Grohne <helmut@subdivi.de> to fix FTCBFS: (Closes: #888913)
    + Let dh_auto_configure pass --host to trafshow's ./configure.
    + Pass a cross compiler to netwatch's and tcpblast's ./configure.
    + Let dh_auto_build pass cross compilers to make for tcpspray, statnet
      and netload.
  * Enable hardening.
  * Added native service file.

 -- Michael Meskes <meskes@debian.org>  Wed, 31 Jan 2018 09:59:45 +0100

netdiag (1.1-3) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Bumped debhelper compat level to 11.
  * Do not use automake anymore. (Closes: #888039)
  * Changed priority to optional.
  * Patched netwatch to allow device names with more than 10 characters.

 -- Michael Meskes <meskes@debian.org>  Mon, 29 Jan 2018 11:09:03 +0100

netdiag (1.1-2) unstable; urgency=low

  * Moved diagperm to examples, it is outdated and wasn't used much anyway.
  * Fix FTBFS with clang due to "wrong main declaration" error in
    tcpspray.
    Patch by Arthur Marble <arthur@info9.net> (Closes: #722016, #748632)
  * Fixed forward declaration in netwatch. (Closes: #751495)
  * Use autotools-dev to update config.{sub,guess} for new architectures.
    Patch by Logan Rosen <logan@ubuntu.com> (Closes: #734538)
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Use build flags as provided by buildtools.

 -- Michael Meskes <meskes@debian.org>  Wed, 05 Nov 2014 09:18:00 +0100

netdiag (1.1-1) unstable; urgency=high

  * Removed strobe because its license is not DFSG-free. (Closes: #686580)

 -- Michael Meskes <meskes@debian.org>  Fri, 19 Oct 2012 11:08:54 +0200

netdiag (1.0-20) unstable; urgency=low

  * Added Brazilian Portuguese debconf translation. (Closes: # 668102)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Added required force-reload option to init script.

 -- Michael Meskes <meskes@debian.org>  Mon, 23 Apr 2012 13:26:20 +0200

netdiag (1.0-19) unstable; urgency=low

  * Fixed incorrect naming in init script.

 -- Michael Meskes <meskes@debian.org>  Thu, 12 Jan 2012 12:47:22 +0100

netdiag (1.0-18) unstable; urgency=low

  * Remove auto-generated files from netwatch directory instead of patching
    them.
  * Added recommended targets to rules file.
  * Re-create config.sub and config.guess when building tcpblast.
  * Do not define HOME in tcpblast Makefile because it breaks ccache.
    (Closes: #653134)
  * Implement status option for init script.

 -- Michael Meskes <meskes@debian.org>  Thu, 12 Jan 2012 10:45:31 +0100

netdiag (1.0-17) unstable; urgency=low

  * Added Danish debconf translations. (Closes: #628213)
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 09 Jun 2011 15:30:38 +0200

netdiag (1.0-16) unstable; urgency=low

  * Set compiler flag to activate IPv6 for tcpspray.

 -- Michael Meskes <meskes@debian.org>  Thu, 24 Feb 2011 10:03:00 +0100

netdiag (1.0-15) unstable; urgency=low

  * Added patch to fix handling of descriptor sets. (Closes: #613557) - thanks
    to Mats Erik Andersson <mats.andersson@gisladisker.se>
  * Added patch to implement IPv6 for strobe. (Closes: #610452)  - thanks
    to Mats Erik Andersson <mats.andersson@gisladisker.se>

 -- Michael Meskes <meskes@debian.org>  Tue, 22 Feb 2011 15:51:34 +0100

netdiag (1.0-14) unstable; urgency=low

  * Re-packaged using separated patches.
  * Bumped Standards-Version to 3.9.1, no changes needed.
  * Added patch to make netload work on GNU/kFreeBSD and fix some bugs along
    the way. (Closes: #608300) - thanks to Mats Erik Andersson
    <mats.andersson@gisladisker.se>
  * Added patch to add IPv6 support to tcpspray. (Closes: #613057) - thanks to
    Mats Erik Andersson <mats.andersson@gisladisker.se>

 -- Michael Meskes <meskes@debian.org>  Wed, 16 Feb 2011 13:06:54 +0100

netdiag (1.0-13) unstable; urgency=low

  * Applied patch by James Westby <james.westby@canonical.com> to make open(2)
    usage standard conform, closes: #507213
  * Updated Japanese debconf translation, closes: #510898
  * Made init script not call itself.

 -- Michael Meskes <meskes@debian.org>  Tue, 13 Jan 2009 15:57:48 +0100

netdiag (1.0-12) unstable; urgency=low



=== debian/control ===
Source: netdiag
Section: net
Maintainer: Michael Meskes <meskes@debian.org>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/meskes/netdiag.git
Vcs-Browser: https://salsa.debian.org/meskes/netdiag
Build-Depends: libncurses-dev, debhelper-compat (= 13), m4, libpcap0.8-dev, po-debconf (>= 0.5.0)

Package: netdiag
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Description: Net-Diagnostics (trafshow,netwatch,statnet,tcpspray,tcpblast)
 Netdiag contains a collection of small tools to analyze network traffic and
 configuration of remote hosts. It is of invaluable help if your
 system is showing strange network behaviour and you want to find out what
 your network is doing. The included tools are tcpblast, netload, trafshow,
 netwatch, statnet, and tcpspray.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#DH_VERBOSE=1

-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
CFLAGS =`dpkg-buildflags --get CPPFLAGS`
CFLAGS +=`dpkg-buildflags --get CFLAGS`
LDFLAGS = `dpkg-buildflags --get LDFLAGS`

export DEB_CFLAGS_MAINT_APPEND += -Wno-old-style-definition -Wno-implicit-int -Wno-error=implicit-function-declaration
export DEB_CFLAGS_MAINT_APPEND += -std=gnu90 -fcommon

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_update_autotools_config
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) $(LDFLAGS)" dh_auto_configure --sourcedirectory trafshow*
	dh_autoreconf --sourcedirectory netwatch-1.3.1-2
	dh_auto_configure --sourcedirectory netwatch-1.3.1-2
	# dh_autoreconf --sourcedirectory tcpblast-20011111 # dh_autoreconf can be called only once
	cd tcpblast-20011111 && autoreconf -i
	CC="$(CC)" no_libnsl=yes dh_auto_configure --sourcedirectory tcpblast-20011111

	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS) $(LDFLAGS)" dh_auto_build --sourcedirectory tcpspray*
	CFLAGS="$(CFLAGS) $(LDFLAGS)" dh_auto_build --sourcedirectory statnet*
	(cd trafshow*; make)
	(cd netwatch*; make)
	(cd tcpblast*; CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" make)
	CFLAGS="$(CFLAGS) $(LDFLAGS)" dh_auto_build --sourcedirectory netload*

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	(cd tcpspray; make clean)
	(cd statnet*; make clean; rm -f statnet.1 statnet.lsm)
	(cd trafshow*; [ ! -f Makefile ] || make distclean; rm -f config.log)
	(cd netwatch*; make clean; rm -f Makefile Make.common)
	(cd tcpblast*; [ ! -f Makefile ] || make distclean; rm -f confdefs.h)
	(cd netload*; make clean)

	debconf-updatepo

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/netdiag.
	dh_install statnet*/statnet	usr/bin
	dh_install statnet*/statnetd	usr/sbin
	(cd tcpspray; \
		make install BINDIR=$(CURDIR)/debian/netdiag/usr/bin)
	dh_install netwatch*/netwatch   usr/sbin
	dh_install netwatch*/netresolv  usr/lib/netdiag
	dh_installman netwatch*/netwatch.1
	dh_install trafshow*/trafshow   usr/sbin
	dh_install trafshow*/.trafshow	etc && mv $(CURDIR)/debian/netdiag/etc/.trafshow $(CURDIR)/debian/netdiag/etc/trafshow
	dh_installman trafshow*/trafshow.1
	(cd tcpblast*; \
		make install prefix=$(CURDIR)/debian/netdiag/usr \
			mandir=$(CURDIR)/debian/netdiag/usr/share/man)
	(cd netload*; \
		make install TARGET=$(CURDIR)/debian/netdiag/usr/bin \
			MANTARGET=$(CURDIR)/debian/netdiag/usr/share/man/man1)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples netwatch*/netwatch.conf.eg
	dh_install
	dh_installmenu
	dh_installsystemd
	dh_installdebconf
	dh_installinit
	dh_installman statnet*/statnet.1 tcpspray/tcpspray.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
